package com.hxhq.business.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 供试品发放记录对象 t_gsp_ffjl
 *
 * @author hxhq
 * @date 2025-12-30
 */
@TableName("t_gsp_ffjl")
public class GspFfjl extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 记录状态 1:未锁定 3:已锁定 5:待归档 7:归档 9:待解档 */
    private Integer jlzt;

    /** 借阅状态 1:未借阅 3:待借阅 5:借阅中 */
    private Integer jyzt;

    /** 暂存柜id */
    private Long zcgId;

    /** 供试品id */
    private Long gspId;

    /** 名称 */
    private String mc;

    /** 编号 */
    private String bh;

    /** 批号 */
    private String ph;

    /** 规格 */
    private String gg;

    /** 规格单位 */
    private String ggdw;

    /** 有效期 */
            @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date yxq;

    /** 保存条件 */
    private String cctj;

    /** 接收日期 */
    private Date jsrq;

    /** 发放转移条件 */
    private String ffzytj;

    /** 出库数量 */
    private String ckl;

    /** 出库单位 */
    private String ckldw;

    /** 出库数量-基础单位 */
    private BigDecimal basicCkl;

    /** 领取人1id */
    private Long lqr1Id;

    private String lqr1Mc;

    /** 领取人2id */
    private Long lqr2Id;

    private String lqr2Mc;

    /** 发放人1id */
    private Long ffr1Id;

    private String ffr1Mc;

    /** 发放人2id */
    private Long ffr2Id;

    private String ffr2Mc;

    /** 发放日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ffrq;

    /** 目的 */
    private String mdIds;

    /** 发放目的其他 */
    private String mdOther;

    /** 归还人1id */
    private Long ghr1Id;

    private String ghr1Mc;

    /** 归还人2id */
    private Long ghr2Id;

    private String ghr2Mc;

    /** 归还转移条件 */
    private String ghzytj;

    /** 接收人1id */
    private Long jsr1Id;

    /** 接收人1名称 */
    private String jsr1Mc;

    /** 接收人2id */
    private Long jsr2Id;

    /** 接收人2名称 */
    private String jsr2Mc;

    /** 入库数量 */
    private String rkl;

    /** 入库单位 */
    private String rkldw;

    /** 入库数量-基础单位 */
    private BigDecimal basicRkl;

    /** 使用量 */
    private String syl;

    /** 使用量单位 */
    private String syldw;

    /** 使用量-基础单位 */
    private BigDecimal basicSyl;

    /** 归还日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ghrq;


    /** 发放备注 */
    private String ffbz;

    /** 归还备注 */
    private String ghbz;

    /** 归档申请人id */
    private Long gdsqrId;

    /** 归档申请人名称 */
    private String gdsqrMc;

    /** 归档申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gdsqsj;

    /** 借阅开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date jyksrq;

    /** 借阅结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date jyjsrq;


    public void setJlzt(Integer jlzt)
    {
        this.jlzt = jlzt;
    }

    public Integer getJlzt()
    {
        return jlzt;
    }

    public void setJyzt(Integer jyzt)
    {
        this.jyzt = jyzt;
    }

    public Integer getJyzt()
    {
        return jyzt;
    }

    public void setGspId(Long gspId)
    {
        this.gspId = gspId;
    }

    public Long getGspId()
    {
        return gspId;
    }

    public void setMc(String mc)
    {
        this.mc = mc;
    }

    public String getMc()
    {
        return mc;
    }

    public void setBh(String bh)
    {
        this.bh = bh;
    }

    public String getBh()
    {
        return bh;
    }

    public void setPh(String ph)
    {
        this.ph = ph;
    }

    public String getPh()
    {
        return ph;
    }

    public void setGg(String gg)
    {
        this.gg = gg;
    }

    public String getGg()
    {
        return gg;
    }

    public void setGgdw(String ggdw)
    {
        this.ggdw = ggdw;
    }

    public String getGgdw()
    {
        return ggdw;
    }

    public void setYxq(Date yxq)
    {
        this.yxq = yxq;
    }

    public Date getYxq()
    {
        return yxq;
    }

    public void setCctj(String cctj)
    {
        this.cctj = cctj;
    }

    public String getCctj()
    {
        return cctj;
    }

    public void setJsrq(Date jsrq)
    {
        this.jsrq = jsrq;
    }

    public Date getJsrq()
    {
        return jsrq;
    }

    public void setFfzytj(String ffzytj)
    {
        this.ffzytj = ffzytj;
    }

    public String getFfzytj()
    {
        return ffzytj;
    }

    public void setCkl(String ckl)
    {
        this.ckl = ckl;
    }

    public String getCkl()
    {
        return ckl;
    }

    public void setCkldw(String ckldw)
    {
        this.ckldw = ckldw;
    }

    public String getCkldw()
    {
        return ckldw;
    }

    public void setLqr1Id(Long lqr1Id)
    {
        this.lqr1Id = lqr1Id;
    }

    public Long getLqr1Id()
    {
        return lqr1Id;
    }

    public void setLqr2Id(Long lqr2Id)
    {
        this.lqr2Id = lqr2Id;
    }

    public Long getLqr2Id()
    {
        return lqr2Id;
    }

    public void setGhr1Id(Long ghr1Id)
    {
        this.ghr1Id = ghr1Id;
    }

    public Long getGhr1Id()
    {
        return ghr1Id;
    }

    public void setGhr2Id(Long ghr2Id)
    {
        this.ghr2Id = ghr2Id;
    }

    public Long getGhr2Id()
    {
        return ghr2Id;
    }

    public void setGhzytj(String ghzytj)
    {
        this.ghzytj = ghzytj;
    }

    public String getGhzytj()
    {
        return ghzytj;
    }

    public void setRkl(String rkl)
    {
        this.rkl = rkl;
    }

    public String getRkl()
    {
        return rkl;
    }

    public void setRkldw(String rkldw)
    {
        this.rkldw = rkldw;
    }

    public String getRkldw()
    {
        return rkldw;
    }

    public void setGhrq(Date ghrq)
    {
        this.ghrq = ghrq;
    }

    public Date getGhrq()
    {
        return ghrq;
    }

    public void setFfbz(String ffbz)
    {
        this.ffbz = ffbz;
    }

    public String getFfbz()
    {
        return ffbz;
    }

    public void setGhbz(String ghbz)
    {
        this.ghbz = ghbz;
    }

    public String getGhbz()
    {
        return ghbz;
    }

    public void setGdsqrId(Long gdsqrId)
    {
        this.gdsqrId = gdsqrId;
    }

    public Long getGdsqrId()
    {
        return gdsqrId;
    }

    public String getLqr1Mc() {
        return lqr1Mc;
    }

    public void setLqr1Mc(String lqr1Mc) {
        this.lqr1Mc = lqr1Mc;
    }

    public String getLqr2Mc() {
        return lqr2Mc;
    }

    public void setLqr2Mc(String lqr2Mc) {
        this.lqr2Mc = lqr2Mc;
    }

    public Long getFfr1Id() {
        return ffr1Id;
    }

    public void setFfr1Id(Long ffr1Id) {
        this.ffr1Id = ffr1Id;
    }

    public String getFfr1Mc() {
        return ffr1Mc;
    }

    public void setFfr1Mc(String ffr1Mc) {
        this.ffr1Mc = ffr1Mc;
    }

    public Long getFfr2Id() {
        return ffr2Id;
    }

    public void setFfr2Id(Long ffr2Id) {
        this.ffr2Id = ffr2Id;
    }

    public String getFfr2Mc() {
        return ffr2Mc;
    }

    public void setFfr2Mc(String ffr2Mc) {
        this.ffr2Mc = ffr2Mc;
    }

    public Date getFfrq() {
        return ffrq;
    }

    public void setFfrq(Date ffrq) {
        this.ffrq = ffrq;
    }

    public String getMdIds() {
        return mdIds;
    }

    public void setMdIds(String mdIds) {
        this.mdIds = mdIds;
    }

    public String getGhr1Mc() {
        return ghr1Mc;
    }

    public void setGhr1Mc(String ghr1Mc) {
        this.ghr1Mc = ghr1Mc;
    }

    public String getGhr2Mc() {
        return ghr2Mc;
    }

    public void setGhr2Mc(String ghr2Mc) {
        this.ghr2Mc = ghr2Mc;
    }

    public Long getJsr1Id() {
        return jsr1Id;
    }

    public void setJsr1Id(Long jsr1Id) {
        this.jsr1Id = jsr1Id;
    }

    public String getJsr1Mc() {
        return jsr1Mc;
    }

    public void setJsr1Mc(String jsr1Mc) {
        this.jsr1Mc = jsr1Mc;
    }

    public Long getJsr2Id() {
        return jsr2Id;
    }

    public void setJsr2Id(Long jsr2Id) {
        this.jsr2Id = jsr2Id;
    }

    public String getJsr2Mc() {
        return jsr2Mc;
    }

    public void setJsr2Mc(String jsr2Mc) {
        this.jsr2Mc = jsr2Mc;
    }

    public String getSyl() {
        return syl;
    }

    public void setSyl(String syl) {
        this.syl = syl;
    }

    public String getSyldw() {
        return syldw;
    }

    public void setSyldw(String syldw) {
        this.syldw = syldw;
    }

    public Date getJyksrq() {
        return jyksrq;
    }

    public void setJyksrq(Date jyksrq) {
        this.jyksrq = jyksrq;
    }

    public Date getJyjsrq() {
        return jyjsrq;
    }

    public void setJyjsrq(Date jyjsrq) {
        this.jyjsrq = jyjsrq;
    }

    public String getGdsqrMc() {
        return gdsqrMc;
    }

    public void setGdsqrMc(String gdsqrMc) {
        this.gdsqrMc = gdsqrMc;
    }

    public Date getGdsqsj() {
        return gdsqsj;
    }

    public void setGdsqsj(Date gdsqsj) {
        this.gdsqsj = gdsqsj;
    }


    public String getMdOther() {
        return mdOther;
    }

    public void setMdOther(String mdOther) {
        this.mdOther = mdOther;
    }

    public BigDecimal getBasicCkl() {
        return basicCkl;
    }

    public void setBasicCkl(BigDecimal basicCkl) {
        this.basicCkl = basicCkl;
    }

    public BigDecimal getBasicRkl() {
        return basicRkl;
    }

    public void setBasicRkl(BigDecimal basicRkl) {
        this.basicRkl = basicRkl;
    }

    public BigDecimal getBasicSyl() {
        return basicSyl;
    }

    public void setBasicSyl(BigDecimal basicSyl) {
        this.basicSyl = basicSyl;
    }

    public Long getZcgId() {
        return zcgId;
    }

    public void setZcgId(Long zcgId) {
        this.zcgId = zcgId;
    }
}
